# fn() progressiveAlignment
Perform a progressive multiple sequence alignment (MSA).

Defined in | <seqan/graph_msa.h>
Signature | `void progressiveAlignment(inputGraph, guideTree, outputGraph);`

## Parameters

`inputGraph` | A AlignmentGraph with multiple sequence information.
`guideTree` | A Tree to use as the guide tree.
`outputGraph` | An AlignmentGraph for the final MSA.

## Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

#### Dox Sources

    /*!
     * @fn progressiveAlignment
     *
     * @headerfile <seqan/graph_msa.h>
     *
     * @brief Perform a progressive multiple sequence alignment (MSA).
     *
     * @signature void progressiveAlignment(inputGraph, guideTree, outputGraph);
     *
     * @param[in] inputGraph A @link AlignmentGraph @endlink with multiple sequence
     *                       information.
     * @param[in] guideTree A @link Tree @endlink to use as the guide tree.
     * @param[out] outputGraph An @link AlignmentGraph @endlink for the final MSA.
     */